%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-async-stacktrace
Version:    0.0.2
Release:    1%{?dist}
Summary:    Improves node.js stacktraces and makes it easier to handle errors
License:    ASL 2.0
Group:      Development/Libraries
URL:        https://github.com/Pita/async-stacktrace
Source0:    http://registry.npmjs.org/async-stacktrace/-/async-stacktrace-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires: npm(vows)
%endif

%description
Improves node.js stacktraces and makes it easier to handle errors

%prep
%setup -q -n package

#remove bundled modules
rm -rf node_modules

%build
#nothing to do

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_sitelib}/async-stacktrace
cp -pr ERR.js package.json %{buildroot}%{nodejs_sitelib}/async-stacktrace

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
ln -sf %{nodejs_sitelib} .
%__nodejs tests.js
%endif


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/async-stacktrace
%doc README.md example.js example_without.js tests.js

%changelog
* Tue Oct 08 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.0.2-1
- Initial release
